microsoft-foundry.rest.security.o-auth2-auth
Agent Invocations
Get an agent invocation OpenAPI spec
GET
/agents/{agent_name}/endpoint/protocols/invocations/docs/openapi.json
Retrieves the OpenAPI specification for an agent version's invocation contract. Returns 404 if the agent does not expose an OpenAPI specification.
경로 매개 변수
agent_name
string
필수
The name of the agent.
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
응답
The request has succeeded.
본문
Content-Type: application/json
object
요청
GET /agents/{agent_name}/endpoint/protocols/invocations/docs/openapi.json HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json